#ifndef KEYBOARD_H
#define KEYBOARD_H

#include "common.h"

class Keyboard {
public:
	Keyboard();
	bool isKeyDown(unsigned char key);
	void keyDown(unsigned char key);
	void keyUp(unsigned char key);

	bool isSpecialDown(int key);
	void specialDown(int key);
	void specialUp(int key);

	static Keyboard * getInstance();
private:
	vector<GLint> keys;
	vector<GLint> specials;
	static Keyboard * instance;
};

#endif
